# Method: accounts.channelPartnerLinks.channelPartnerRepricingConfigs.delete

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs/delete#try-it)

Deletes the given `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs#ChannelPartnerRepricingConfig` permanently. You can only delete configs if their `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/RepricingConfig#FIELDS.effective_invoice_month` is set to a date after the current month.

Possible error codes:

- PERMISSION_DENIED: The account making the request does not own this customer.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.
- FAILED_PRECONDITION: The `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs#ChannelPartnerRepricingConfig` is active or in the past.
- NOT_FOUND: No `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.channelPartnerLinks.channelPartnerRepricingConfigs#ChannelPartnerRepricingConfig` found for the name in the request.

### HTTP request

`DELETE https://cloudchannel.googleapis.com/v1alpha1/{name=accounts/*/channelPartnerLinks/*/channelPartnerRepricingConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the channel partner repricing config rule to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).